> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get a content type

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/content_types/{content_type_id}

Reference: https://contentful.com/developers/docs/references/content-management-api/content-types/get-a-content-type

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the Space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `content_type_id` (string, required) — ID of the Content Type in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "sys": {
    "createdAt": "2025-02-23T18:12:53.000Z",
    "createdBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "environment": {
      "sys": {
        "id": "staging",
        "linkType": "Environment",
        "type": "Link"
      }
    },
    "id": "3ORKIAOaJqQWWg86MWkyOs",
    "space": {
      "sys": {
        "id": "yadj1kx9rmg0",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "type": "ContentType",
    "updatedAt": "2025-02-23T18:12:53.000Z",
    "updatedBy": {
      "sys": {
        "id": "4FLrUHftHW3v2BLi9fzfjU",
        "linkType": "User",
        "type": "Link"
      }
    },
    "version": 1
  }
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

client
    .contentTypes()
    .async()
    .fetchOne(
        "<content_type_id>",
        new CMACallback<CMAContentType>() {
          @Override protected void onSuccess(CMAContentType result) {
            // Found your content type in `contentType` callback parameter.
            new AlertDialog.Builder(context)
                .setTitle("Contentful")
                .setMessage("Fetching of a content type was successful." +
                    "\n\nResult: " + result)
                .show();
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not fetch a content type." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

final CMAContentType contentType =
    client
        .contentTypes()
        .fetchOne("<content_type_id>");
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

val contentType = client
        .contentTypes()
        .fetchOne("<content_type_id>")
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getEnvironment('<environment_id>'))
.then((environment) => environment.getContentType('<content_type_id>'))
.then((contentType) => console.log(contentType))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = createClient({
  accessToken: '<content_management_api_key>'
})

await client.contentType.get({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  contentTypeId: '<content_type_id>',
});
```

```php PHP
$client = new \Contentful\Management\Client('<content_management_api_key>');

$environment = $client->getEnvironmentProxy('<space_id>', '<environment_id>');

$contentType = $environment->getContentType('<content_type_id>');
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

content_type = client.content_types('<space_id>', '<environment_id>').find('<content_type_id>')
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

content_type = client.content_types('<space_id>', '<environment_id>').find('<content_type_id>')
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

var contentType = await client.GetContentType("<content_type_id>");
```